Page MenuHomePhabricator

formatLinksInComment does not deal with [[Text[[Link]] like in Wikitext
Closed, ResolvedPublic

Description

In Wikitext [[Text[[Link]] will be turned to [[Text<a>Link</a> formatLinksInComment the link will not be recognized at all and you just get the plain text [[Text[[Link]]. The handling there should be consistent.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptJun 22 2018, 3:19 PM

Change 441553 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/core@master] Make formatLinksInComment understand and link [[Text[[Link]]

https://gerrit.wikimedia.org/r/441553

Vvjjkkii renamed this task from formatLinksInComment does not deal with [[Text[[Link]] like in Wikitext to hgaaaaaaaa.Jul 1 2018, 1:02 AM
Vvjjkkii triaged this task as High priority.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
JJMC89 renamed this task from hgaaaaaaaa to formatLinksInComment does not deal with [[Text[[Link]] like in Wikitext.Jul 1 2018, 4:51 AM
JJMC89 raised the priority of this task from High to Needs Triage.
JJMC89 updated the task description. (Show Details)

Change 441553 had a related patch set uploaded (by WMDE-Fisch; owner: WMDE-Fisch):
[mediawiki/core@master] Make formatLinksInComment understand and link [[Text[[Link]]

https://gerrit.wikimedia.org/r/441553

thiemowmde closed this task as Resolved.May 13 2020, 1:40 PM
thiemowmde claimed this task.

Change 441553 merged by jenkins-bot:
[mediawiki/core@master] Make formatLinksInComment understand and link [[Text[[Link]]

https://gerrit.wikimedia.org/r/441553